Build errors when using Mono.Android.Support.v13

GerryHighGerryHigh USBeta ✭✭✭

I'm trying to use the .v13 support library (vs the .v4) to use the FragmentPagerAdapter. However, I get 3 build errors that appear to be duplicate mapping issues. At this point I'm not even referencing anything v13 related. I just removed .v4 and added .v13 and then I get these errors below.

Gerry

/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: Error: Duplicate managed type found! Mappings between managed types and Java types must be unique. First Type: 'Android.Support.V4.App.FragmentManager/IOnBackStackChangedListenerImplementor, Mono.Android.Support.v13, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065'; Second Type: 'Android.Support.V4.App.FragmentManager/IOnBackStackChangedListenerImplementor, Mono.Android.Support.v4, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065' (VinMobile.Android)

/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: Error: Duplicate managed type found! Mappings between managed types and Java types must be unique. First Type: 'Android.Support.V4.Content.Loader/IOnLoadCompleteListenerImplementor, Mono.Android.Support.v13, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065'; Second Type: 'Android.Support.V4.Content.Loader/IOnLoadCompleteListenerImplementor, Mono.Android.Support.v4, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065' (VinMobile.Android)

/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: Error: Duplicate managed type found! Mappings between managed types and Java types must be unique. First Type: 'Android.Support.V4.View.ViewPager/IOnPageChangeListenerImplementor, Mono.Android.Support.v13, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065'; Second Type: 'Android.Support.V4.View.ViewPager/IOnPageChangeListenerImplementor, Mono.Android.Support.v4, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065' (VinMobile.Android)

Posts

  • wallymwallym USInsider, Beta ✭✭✭
    edited May 2013

    Gerry,

    Is the v13 Support Package supported? I didn't think it was. Has this support been recently added?

    Wally

  • GerryHighGerryHigh USBeta ✭✭✭

    It's confusing because there is a revision 13 of support.v4.app that I think you're talking about. I was actually talking about support.v13.app.

    However, the FragmentPagerAdapter is in both v4 and v13 so I can just use v4. However, then I run into issues of using the SupportFragment, etc. so I'm just going to use a PagerAdapter instead.

    Gerry

Sign In or Register to comment.